Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.svn.mgnt
Class ISVNEditorUtil

    java.lang.Object
      org.modeshape.connector.svn.mgnt.ISVNEditorUtil

    public class ISVNEditorUtil

extends Object

Author:
  sp

Constructor Summary
`ISVNEditorUtil()`

Method Summary
`protected static void` | `closeDirectories(org.tmatesoft.svn.core.io.ISVNEditor editor, String path)` Close the directories where change was made.
`protected static void` | `openDirectories(org.tmatesoft.svn.core.io.ISVNEditor editor, String rootPath)` Open the directories where change has to be made.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISVNEditorUtil

    public ISVNEditorUtil()

Method Detail

### openDirectories

    protected static void openDirectories(org.tmatesoft.svn.core.io.ISVNEditor editor,
                                          String rootPath)
                                   throws org.tmatesoft.svn.core.SVNException

  Open the directories where change has to be made.

  Parameters:
    `editor` - - abstract editor.
    `rootPath` - - the pa to open.
  Throws:
    `org.tmatesoft.svn.core.SVNException` - when a error occur.

### closeDirectories

    protected static void closeDirectories(org.tmatesoft.svn.core.io.ISVNEditor editor,
                                           String path)
                                    throws org.tmatesoft.svn.core.SVNException

  Close the directories where change was made.

  Parameters:
    `editor` - - the abstract editor.
    `path` - - the directories to open.
  Throws:
    `org.tmatesoft.svn.core.SVNException` - when a error occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.